import utils from '../utils';

export default function getEslintLoader() {
    return {
        test: /\.(js|jsx|tsx|ts|es6)$/,
        loader: require.resolve('eslint-loader'),
        enforce: 'pre',
        options: {
            eslintPath: require.resolve('eslint'),
            resolvePluginsRelativeTo: __dirname,
            baseConfig: utils.requireModule(require.resolve('../eslintrc'))
        },
        exclude: /node_modules/
    }
}
