import {RcbConfig} from '../getConfig';
import bablerc from '../babelrc.js';
import utils from '../utils';
const BABEL_REGEX = /\.(js|ts)x?$/;
export default function getBabelLoader(rcb: RcbConfig) {
    return ({
        test: BABEL_REGEX,
        exclude: /node_modules/,
        use: [
            {
                loader: require.resolve('babel-loader'),
                options: utils.mergeBabelConfig(bablerc, {plugins: rcb.babelPlugins, presets: rcb.babelPresets})
            }
        ]
    });
};
